cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Toby Ferguson <toby.fergu...@eloan.com>
Subject Re: Cocoon blues under the Sun
Date Tue, 01 Feb 2000 21:58:41 GMT
Well,

I finally got it going - it was due to an old version of servlet.jar - but I haven't
tried everything yet.

Thanks for the suggestions - in the end it was just plain "start from a clean slate"
(a little tricky in this environment as there are multiple developers all using the
same extension libraries) that got it going.

Now to see if it'll do what I need it to do ...

Jan-Erik Pedersen wrote:

> I also tried to download the latest build (which failed as you mentioned), then I
> downloaded the
> latest src-kit a built that myself (with java 1.2) and  that worked.
>
> Toby Ferguson wrote:
>
> > Mike Engelhart wrote:
> >
> > > Toby Ferguson wrote:
> > >
> > > > I've tried compiling Cocoon 'cos I couldn't get it to run (see my previous
> > > > post "Running Xalan & Cocoon under JDK 1.2.3 on a Sun" for details).
> > > >
> > > > Now I get the following error from Ant:
> > > >
> > > > BUILD CONFIG ERROR: Configuration property "fork" does not have a setMethod
> > > > in class org.apache.tools.ant.taskdefs.Java
> > > > org.apache.tools.ant.BuildException: Configuration property "fork" does
not
> > > > have a setMethod in class org.apache.tools.ant.taskdefs.Java
> > > >
> > > > If someone has a quick solution to this I'd appreciate it -  I really
don't
> > > > want to go down the path of having to learn all about Ant just to get
Cocoon
> > > > up and running, but if I need to I shall.
> > > >
> > > > TIA
> > > >
> > > > Toby Ferguson
> > > Did you get the latest build of Ant?  I heard there were some changes to Ant
> > > that made compiling Cocoon require the latest version.
> > >
> >
> > Yup - I downloaded ant again this morning, just to make sure, and it still blows
> > up in my face.
> >
> > I've also tried deleting the 'fork="yes" portion which seems to be causing the
> > trouble. Once I do that then I get the following error:
> >
> > "BUILD CONFIG ERROR: Could not create task of type: javadoc
> >  due to java.lang.NullPointerException"
> >
> > Which is actually addressed in build.xml as point 4):
> >
> > "4) why does Ant replies with the following message?
> >
> > "BUILD CONFIG ERROR: Could not create task of type: javadoc
> >  due to java.lang.NullPointerException"
> >
> > This is because you need to upgrade your installed Ant, major improvements
> > in the build process make older versions obsolete and Cocoon requires these
> > new improvements in order to build correctly."
> >
> > trouble is, I HAVE upgraded and it still isn't working!
> >
> > Clues?
> >
> > >
> > > Mike
> > >
> > > ---------------------------------------------------------------------
> > > To unsubscribe, e-mail: cocoon-users-unsubscribe@xml.apache.org
> > > For additional commands, e-mail: cocoon-users-help@xml.apache.org
> >
> > ---------------------------------------------------------------------
> > To unsubscribe, e-mail: cocoon-users-unsubscribe@xml.apache.org
> > For additional commands, e-mail: cocoon-users-help@xml.apache.org
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: cocoon-users-unsubscribe@xml.apache.org
> For additional commands, e-mail: cocoon-users-help@xml.apache.org


Mime
View raw message